import { Observable } from 'rxjs';
import { IBasicComponent } from './index';
export interface ILeafComponent extends IBasicComponent {
    type: 'leaf';
    data: LeafComponentValueType;
    render$: Observable<LeafComponentValueType>;
}
export declare type LeafComponentValueType = string | number | null;
export declare function createLeafComponent(child: LeafComponentValueType): ILeafComponent;
//# sourceMappingURL=Leaf.d.ts.map