import { Observable, Subject } from 'rxjs';
import { IDynamicEntry } from '../DynamicEntry';
import { IElement, IProps } from '../Element';
import { IBasicComponent } from './index';
export interface IStaticComponent extends IBasicComponent {
    type: 'static';
    definition: IElement<string>;
    dynamicChildren: IDynamicEntry[];
    element$: Subject<HTMLElement>;
    change$: Observable<IProps>;
}
export declare const createStaticComponent: (element: any) => IStaticComponent;
//# sourceMappingURL=Static.d.ts.map